<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yami.shop.distribution.comment.dao.DistributionWithdrawCashSetMapper">

  <resultMap id="distributionWithdrawCashSetMap" type="com.yami.shop.distribution.comment.model.DistributionWithdrawCashSet">
                  <id property="id" column="id"/>
                        <result property="shopId" column="shop_id"/>
                        <result property="settlementTime" column="settlement_time"/>
                        <result property="settlementMode" column="settlement_mode"/>
                        <result property="settlementAutoSet" column="settlement_auto_set"/>
                        <result property="frequency" column="frequency"/>
                        <result property="amountMax" column="amount_max"/>
                        <result property="amountMin" column="amount_min"/>
                        <result property="paymentExplain" column="payment_explain"/>
                        <result property="modeOfPayment" column="mode_of_payment"/>
                        <result property="updateTime" column="update_time"/>
                        <result property="modifier" column="modifier"/>
                      <result property="number" column="number"/>
            </resultMap>

    <!--<resultMap id="DistributionWithdrawCashSetDto" type="com.yami.shop.distribution.comment.dto.DistributionWithdrawCashSetDto">-->
        <!--<result property="frequency" column="frequency"/>-->
        <!--<result property="amountMax" column="amount_max"/>-->
        <!--<result property="amountMin" column="amount_min"/>-->
        <!--<result property="paymentExplain" column="payment_explain"/>-->
        <!--<result property="number" column="number"/>-->
    <!--</resultMap>-->

    <!--<select id="getDistributionWithdrawCashSetDtoByShopId" resultMap="DistributionWithdrawCashSetDto">-->
            <!--select-->
            <!--frequency,-->
            <!--amount_max,-->
            <!--amount_min,-->
            <!--payment_explain,-->
            <!--number-->
            <!--from-->
            <!--tz_distribution_withdraw_cash_set-->
            <!--where shop_id=#{shopId}-->
    <!--</select>-->
</mapper>
